groovy-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Benjamin Graf (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (GROOVY-8766) Groovy packages not compatible with OSGi (ServiceLoader Capability)
Date Mon, 27 Aug 2018 15:48:00 GMT

     [ https://issues.apache.org/jira/browse/GROOVY-8766?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Benjamin Graf updated GROOVY-8766:
----------------------------------
    Description: 
Groovy modules are heavily using ServiceLoader Feature. Those capabilities are not exported
for OSGi usage causing errors like:
{noformat}
Caused by: java.lang.RuntimeException: Unable to load FastStringService
 at org.apache.groovy.json.internal.FastStringUtils.getService(FastStringUtils.java:57) ~[24:groovy:2.5.2]
 at org.apache.groovy.json.internal.FastStringUtils.toCharArray(FastStringUtils.java:67) ~[24:groovy:2.5.2]
 at org.apache.groovy.json.internal.BaseJsonParser.parse(BaseJsonParser.java:112) ~[24:groovy:2.5.2]
 at groovy.json.JsonSlurper.parseText(JsonSlurper.java:205) ~[24:groovy:2.5.2]
 at groovy.json.JsonSlurper$parseText.call(Unknown Source) ~[?:?]{noformat}
 

Have look on: [https://blog.osgi.org/2013/02/javautilserviceloader-in-osgi.html]

  was:
Groovy modules are heavily using ServiceLoader Feature. Those capabilities are not exported
for OSGi usage causing errors like:
{noformat}
Caused by: java.lang.RuntimeException: Unable to load FastStringService
 at org.apache.groovy.json.internal.FastStringUtils.getService(FastStringUtils.java:57) ~[24:groovy:2.5.2]
 at org.apache.groovy.json.internal.FastStringUtils.toCharArray(FastStringUtils.java:67) ~[24:groovy:2.5.2]
 at org.apache.groovy.json.internal.BaseJsonParser.parse(BaseJsonParser.java:112) ~[24:groovy:2.5.2]
 at groovy.json.JsonSlurper.parseText(JsonSlurper.java:205) ~[24:groovy:2.5.2]
 at groovy.json.JsonSlurper$parseText.call(Unknown Source) ~[?:?]{noformat}


> Groovy packages not compatible with OSGi (ServiceLoader Capability)
> -------------------------------------------------------------------
>
>                 Key: GROOVY-8766
>                 URL: https://issues.apache.org/jira/browse/GROOVY-8766
>             Project: Groovy
>          Issue Type: Bug
>    Affects Versions: 2.5.2
>            Reporter: Benjamin Graf
>            Priority: Critical
>
> Groovy modules are heavily using ServiceLoader Feature. Those capabilities are not exported
for OSGi usage causing errors like:
> {noformat}
> Caused by: java.lang.RuntimeException: Unable to load FastStringService
>  at org.apache.groovy.json.internal.FastStringUtils.getService(FastStringUtils.java:57)
~[24:groovy:2.5.2]
>  at org.apache.groovy.json.internal.FastStringUtils.toCharArray(FastStringUtils.java:67)
~[24:groovy:2.5.2]
>  at org.apache.groovy.json.internal.BaseJsonParser.parse(BaseJsonParser.java:112) ~[24:groovy:2.5.2]
>  at groovy.json.JsonSlurper.parseText(JsonSlurper.java:205) ~[24:groovy:2.5.2]
>  at groovy.json.JsonSlurper$parseText.call(Unknown Source) ~[?:?]{noformat}
>  
> Have look on: [https://blog.osgi.org/2013/02/javautilserviceloader-in-osgi.html]



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message